Page MenuHomePhabricator

Replace all instances of lighttpd with nginx
Closed, ResolvedPublic

Description

Replace all instances of lighttpd with nginx. See linked subtickets.

Details

Reference
rt7743

Related Objects

StatusSubtypeAssignedTask
Resolvedfaidon
Resolvedfaidon
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedRobH
ResolvedDzahn
ResolvedRobH
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
Resolved JohnLewis
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
DuplicateDzahn
ResolvedDzahn
ResolvedDzahn
DuplicateDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
InvalidDzahn
ResolvedDzahn
ResolvedDzahn
DeclinedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
Resolved JohnLewis
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
Resolvedfaidon
ResolvedArielGlenn

Event Timeline

rtimport raised the priority of this task from to Medium.Dec 18 2014, 1:56 AM
rtimport added a project: ops-core.
rtimport set Reference to rt7743.
Dzahn created this task.Jun 24 2014, 9:01 PM
Dzahn added a comment.Jun 24 2014, 9:01 PM

Dependency on ticket #7739 added by dzahn

Dzahn added a comment.Jun 24 2014, 9:01 PM

Dependency on ticket #7740 added by dzahn

Dzahn added a comment.Jun 24 2014, 9:01 PM

Dependency on ticket #7741 added by dzahn

Dzahn added a comment.Jun 24 2014, 9:01 PM

Dependency on ticket #7742 added by dzahn

Dzahn added a comment.Jun 24 2014, 9:03 PM

On Mon, Jun 23, 2014 at 3:03 PM, Faidon Liambotis <faidon at wikimedia> wrote:
decided to move them towards nginx, as it clearly won the
event-based-Apache-killer-
webserver :)

faidon renamed this task from stop using lighttpd to Replace all instances of lighttpd with nginx.Dec 18 2014, 5:07 PM
faidon lowered the priority of this task from Medium to Low.
faidon updated the task description. (Show Details)
faidon changed the visibility from "WMF-NDA (Project)" to "Public (No Login Required)".
faidon changed the edit policy from "WMF-NDA (Project)" to "All Users".
faidon set Security to None.
faidon closed this task as Resolved.Jan 20 2015, 12:07 AM
faidon claimed this task.
faidon added a subscriber: faidon.

lighttpd is gone from production now. Tool Labs still uses it but isn't going to go away anytime soon, as we were giving users the option to ship their own lighttpd config so it's an "API" that we have to maintain for a while.